Description

RSB Configuration currently loads config files from three different places (system config from PREFIX/etc/rsb.conf, user config from 
~/.config/rsb.conf, and current directory config from $(pwd)/rsb.conf). This is a reasonable default, but might be inefficient or even
unfitting in some cases. For example:

    1. When users have an install prefix /vol/mysystem for their system, but use rsb from another place (often /vol/toolkit/... in our
case), the above file-based configuration won't load configuration from the system prefix /vol/mysystem/etc, but the rsb prefix (
/vol/toolkit/.../etc/) instead, which does not allow system-specific configuration as intended.
    2. I might not have control (e.g. write permissions) over the system config, but might not want to overwrite every unwanted option of
the system config in my user config.
So for this, I suggest to introduce an environment variable, that allows you to better control the file-based configuration, for example by
    -  adding pathes or
    -  inhibit default pathes (#1716)

Maybe similar to how I configure unix PATH or LD_LIBRARY_PATH variables.

Subtasks:
Feature # 2565: Configurable list of configuration files [Python] Resolved
Feature # 2566: Configurable list of configuration files [C++] Resolved
Feature # 2567: Configurable list of configuration files [Java] Resolved
Feature # 2568: Configurable list of configuration files [Common Lisp] Resolved
Related issues:
Related to Robotics Service Bus - Feature # 1716: Add an environment variable... Closed 01/07/2014

Associated revisions
Revision ee2d06aa - 09/28/2016 02:06 PM - J. Moringen

Added description of RSB_CONFIG_FILES in *.rst

refs #2158

    -  specification-config.rst (Non-default Configuration File Cascade): new
  section; describes RSB_CONFIG_FILES

    -  common-command-line-options.rst (Common Environment Variables): added
  RSB_CONFIG_FILES

    -  news.rst (RSB 0.15): mention RSB_CONFIG_FILES

History
#1 - 01/14/2015 02:28 PM - Anonymous
- Related to Feature #1716: Add an environment variable which inhibits file-based configuration added

#2 - 01/14/2015 03:11 PM - C. Emmerich
http://docs.cor-lab.org/rsb-manual/trunk/html/specification-config.html


+1

#3 - 06/09/2016 01:46 PM - J. Moringen
- Target version set to rsb-0.15

#4 - 07/27/2016 01:28 PM - J. Moringen
- Status changed from Feedback to In Progress

#5 - 09/28/2016 11:57 AM - J. Moringen
- Assignee set to J. Moringen

#6 - 09/28/2016 01:03 PM - J. Moringen
- Status changed from In Progress to Resolved
